/* This file is part of cqual.
   Copyright (C) 2002-2003 The Regents of the University of California.

cqual is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

cqual is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with cqual; see the file COPYING.  If not, write to
the Free Software Foundation, 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA. */

#include "qual_flags.h"

/* -f flags.  */

/* Treat warnings as errors.  -Werror.  */
int warnings_are_errors;

/* True if we should display names in an ugly way so that you can tell
   different versions of the same name apart. */
int flag_ugly = 0;

/* When this flag is true, print out an explanation for each of the 
   errors, a la PAM mode.  */
int flag_explain_errors = 1;

/* Don't filter errors */
int flag_all_errors = 0;
