package java.awt;

import java.awt.event.FocusListener;
import java.awt.event.KeyListener;
import java.awt.event.MouseListener;
import java.awt.event.MouseMotionListener;

public class Component {

      int y;
      int x;
      java.lang.String windowStateListenerK;
      java.lang.String windowListenerK;
      java.lang.String windowFocusListenerK;
      java.lang.RuntimeException windowClosingException;
      int width;
      boolean visible;
      boolean valid;
      java.lang.String textListenerK;
      long serialVersionUID;
      java.lang.Object privateKey;
      java.awt.Dimension prefSize;
      java.util.Vector popups;
      java.awt.Font peerFont;
      java.awt.peer.ComponentPeer peer;
      java.awt.Container parent;
      java.lang.String ownedWindowK;
      boolean newEventsOnly;
      boolean nameExplicitlySet;
      java.lang.String name;
      java.lang.String mouseWheelListenerK;
      java.awt.event.MouseWheelListener mouseWheelListener;
      java.lang.String mouseMotionListenerK;
      java.awt.event.MouseMotionListener mouseMotionListener;
      java.lang.String mouseListenerK;
      java.awt.event.MouseListener mouseListener;
      java.awt.Dimension minSize;
      java.util.Hashtable metrics;
      java.util.Locale locale;
      java.lang.String keyListenerK;
      java.awt.event.KeyListener keyListener;
      java.lang.String itemListenerK;
      boolean isPacked;
      boolean isInc;
      int isFocusTraversableOverridden;
      java.lang.String inputMethodListenerK;
      java.awt.event.InputMethodListener inputMethodListener;
      int incRate;
      boolean ignoreRepaint;
      java.lang.String hierarchyListenerK;
      java.awt.event.HierarchyListener hierarchyListener;
      java.lang.String hierarchyBoundsListenerK;
      java.awt.event.HierarchyBoundsListener hierarchyBoundsListener;
      int height;
      java.awt.GraphicsConfiguration graphicsConfig;
      java.awt.Color foreground;
      java.awt.Font font;
      boolean focusable;
      boolean focusTraversalKeysEnabled;
      java.util.Set[] focusTraversalKeys;
      java.lang.String[] focusTraversalKeyPropertyNames;
      java.lang.String focusListenerK;
      java.awt.event.FocusListener focusListener;
      long eventMask;
      boolean enabled;
      java.awt.dnd.DropTarget dropTarget;
      sun.awt.DebugHelper dbg;
      java.awt.Cursor cursor;
      java.lang.String containerListenerK;
      int componentSerializedDataVersion;
      java.awt.ComponentOrientation componentOrientation;
      java.lang.String componentListenerK;
      java.awt.event.ComponentListener componentListener;
      java.lang.Class class$java$beans$PropertyChangeListener;
      java.lang.Class class$java$awt$event$MouseWheelListener;
      java.lang.Class class$java$awt$event$MouseMotionListener;
      java.lang.Class class$java$awt$event$MouseListener;
      java.lang.Class class$java$awt$event$KeyListener;
      java.lang.Class class$java$awt$event$InputMethodListener;
      java.lang.Class class$java$awt$event$HierarchyListener;
      java.lang.Class class$java$awt$event$HierarchyBoundsListener;
      java.lang.Class class$java$awt$event$FocusListener;
      java.lang.Class class$java$awt$event$ComponentListener;
      java.lang.Class class$java$awt$Component;
      java.beans.PropertyChangeSupport changeSupport;
      java.awt.image.BufferStrategy bufferStrategy;
      java.awt.Color background;
      sun.awt.AppContext appContext;
      java.lang.String adjustmentListenerK;
      java.lang.String actionListenerK;
      javax.accessibility.AccessibleContext accessibleContext;
      float TOP_ALIGNMENT;
      float RIGHT_ALIGNMENT;
      java.lang.Object LOCK;
      float LEFT_ALIGNMENT;
      int FOCUS_TRAVERSABLE_UNKNOWN;
      int FOCUS_TRAVERSABLE_SET;
      int FOCUS_TRAVERSABLE_DEFAULT;
      float CENTER_ALIGNMENT;
      float BOTTOM_ALIGNMENT;
     java.lang.Object treeLock;
     java.awt.Dimension size;
     java.awt.Dimension preferredSize;
     java.awt.Dimension minimumSize;
     java.awt.Dimension maximumSize;
     java.awt.Point location;
     java.awt.Graphics graphics;
     java.awt.Rectangle bounds;
	private FocusListener focusListeners;
	private KeyListener keyListeners;
	private MouseListener mouseListeners;
	private MouseMotionListener mouseMotionListeners;
	private boolean enabledEvents;
	private Object componentListeners;
     /** action(Ljava/awt/Event;Ljava/lang/Object;)Z 
      * @no_qreturn 
      * @no_qparam p1 
      * @no_qparam p2 
      **/
     public boolean action(java.awt.Event p1, java.lang.Object p2) {
       return false;
     }

     /** addFocusListener(Ljava/awt/event/FocusListener;)V 
      * @qthis mutable 
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void addFocusListener(java.awt.event.FocusListener p1) {
    	 focusListeners = p1;
     }

     /** addKeyListener(Ljava/awt/event/KeyListener;)V 
      * @qthis mutable 
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void addKeyListener(java.awt.event.KeyListener p1) {
    	 keyListeners = p1;
     }

     /** addMouseListener(Ljava/awt/event/MouseListener;)V 
      * @qthis mutable 
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void addMouseListener(java.awt.event.MouseListener p1) {
    	 mouseListeners = p1;
     }

     /** addMouseMotionListener(Ljava/awt/event/MouseMotionListener;)V 
      * @qthis mutable 
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void addMouseMotionListener(java.awt.event.MouseMotionListener p1) {
    	 mouseMotionListeners = p1;
     }

     /** createImage(II)Ljava/awt/Image; 
      * @no_qreturn 
      * @no_qparam p1 
      * @no_qparam p2 
      **/
     public java.awt.Image createImage(int p1, int p2) {
       return null;
     }

     /** disable()V 
      * @qthis mutable 
      * @no_qreturn 
      **/
     public void disable() {
    	 enabled = false;
     }

     /** dispatchEvent(Ljava/awt/AWTEvent;)V 
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void dispatchEvent(java.awt.AWTEvent p1) {}

     /** enable()V 
      * @qthis mutable 
      * @no_qreturn 
      **/
     public void enable() {
    	 enabled = true;
     }

     /** enableEvents(J)V 
      * @qthis mutable 
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void enableEvents(long p1) {
    	 enabledEvents = true;
     }

     /** getBackground()Ljava/awt/Color; 
      * @no_qreturn 
      **/
     public java.awt.Color getBackground() {
        return background;
     }

     /** getBounds()Ljava/awt/Rectangle; 
      * @no_qreturn 
      **/
     public java.awt.Rectangle getBounds() {
        return bounds;
     }

     /** getComponentOrientation()Ljava/awt/ComponentOrientation; 
      * @no_qreturn 
      **/
     public java.awt.ComponentOrientation getComponentOrientation() {
        return componentOrientation;
     }

     /** getCursor()Ljava/awt/Cursor; 
      * @no_qreturn 
      **/
     public java.awt.Cursor getCursor() {
        return cursor;
     }

     /** getDropTarget()Ljava/awt/dnd/DropTarget; 
      **/
     public java.awt.dnd.DropTarget getDropTarget() {
        return dropTarget;
     }

     /** getFont()Ljava/awt/Font; 
      * @no_qreturn 
      **/
     public java.awt.Font getFont() {
        return font;
     }

     /** getFontMetrics(Ljava/awt/Font;)Ljava/awt/FontMetrics; 
      * @no_qthis 
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public java.awt.FontMetrics getFontMetrics(java.awt.Font p1) {
       return null;
     }

     /** getForeground()Ljava/awt/Color; 
      * @no_qreturn 
      **/
     public java.awt.Color getForeground() {
        return foreground;
     }

     /** getGraphics()Ljava/awt/Graphics; 
      * @no_qreturn 
      **/
     public java.awt.Graphics getGraphics() {
        return graphics;
     }

     /** getLocation()Ljava/awt/Point; 
      * @no_qreturn 
      **/
     public java.awt.Point getLocation() {
        return location;
     }

     /** getMaximumSize()Ljava/awt/Dimension; 
      * @no_qreturn 
      **/
     public java.awt.Dimension getMaximumSize() {
        return maximumSize;
     }

     /** getMinimumSize()Ljava/awt/Dimension; 
      * @no_qreturn 
      **/
     public java.awt.Dimension getMinimumSize() {
        return minimumSize;
     }

     /** getName()Ljava/lang/String; 
      * @no_qreturn 
      **/
     public java.lang.String getName() {
        return name;
     }

     /** getParent()Ljava/awt/Container; 
      * @no_qreturn 
      **/
     public java.awt.Container getParent() {
        return parent;
     }

     /** getPreferredSize()Ljava/awt/Dimension; 
      * @no_qreturn 
      **/
     public java.awt.Dimension getPreferredSize() {
        return preferredSize;
     }

     /** getSize()Ljava/awt/Dimension; 
      * @no_qreturn 
      **/
     public java.awt.Dimension getSize() {
        return size;
     }

     /** getTreeLock()Ljava/lang/Object; 
      * @no_qreturn 
      **/
     public java.lang.Object getTreeLock() {
        return treeLock;
     }

     /** getWidth()I 
      * @no_qreturn 
      **/
     public int getWidth() {
        return width;
     }

     /** getX()I 
      * @no_qreturn 
      **/
     public int getX() {
        return x;
     }

     /** getY()I 
      * @no_qreturn 
      **/
     public int getY() {
        return y;
     }

     /** handleEvent(Ljava/awt/Event;)Z 
      * @qthis mutable 
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public boolean handleEvent(java.awt.Event p1) {
       return false;
     }

     /** hasFocus()Z 
      * @no_qreturn 
      **/
     public boolean hasFocus() {
       return false;
     }

     /** hide()V 
      * @qthis mutable 
      * @no_qreturn 
      **/
     public void hide() {
    	 visible = false;
     }

     /** isEnabled()Z 
      * @no_qreturn 
      **/
     public boolean isEnabled() {
       return false;
     }

     /** isOpaque()Z 
      * @no_qreturn 
      **/
     public boolean isOpaque() {
       return false;
     }

     /** isShowing()Z 
      * @no_qreturn 
      **/
     public boolean isShowing() {
       return false;
     }

     /** isVisible()Z 
      * @no_qreturn 
      **/
     public boolean isVisible() {
       return false;
     }

     /** move(II)V 
      * @qthis mutable 
      * @no_qreturn 
      * @no_qparam p1 
      * @no_qparam p2 
      **/
     public void move(int p1, int p2) {}

     /** removeComponentListener(Ljava/awt/event/ComponentListener;)V 
      * @qthis mutable 
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void removeComponentListener(java.awt.event.ComponentListener p1) {
    	 componentListeners = null;
     }

     /** removeFocusListener(Ljava/awt/event/FocusListener;)V 
      * @qthis mutable 
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void removeFocusListener(java.awt.event.FocusListener p1) {
    	 focusListeners = null;
     }

     /** removeKeyListener(Ljava/awt/event/KeyListener;)V 
      * qthis mutable 
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void removeKeyListener(java.awt.event.KeyListener p1) {
    	 keyListeners = null;
     }

     /** removeMouseListener(Ljava/awt/event/MouseListener;)V 
      * @qthis mutable 
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void removeMouseListener(java.awt.event.MouseListener p1) {
    	 mouseListeners = null; 
     }

     /** removeMouseMotionListener(Ljava/awt/event/MouseMotionListener;)V 
      * @qthis mutable
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void removeMouseMotionListener(java.awt.event.MouseMotionListener p1) {
    	 mouseMotionListeners = null;
     }

     /** repaint()V 
      * @no_qreturn 
      **/
     public void repaint() {}

     /** repaint(IIII)V 
      * @no_qreturn 
      * @no_qparam p1 
      * @no_qparam p2 
      * @no_qparam p3 
      * @no_qparam p4 
      **/
     public void repaint(int p1, int p2, int p3, int p4) {}

     /** requestFocus()V 
      * @no_qreturn 
      **/
     public void requestFocus() {}

     /** resize(II)V 
      * @qthis mutable 
      * @no_qreturn 
      * @no_qparam p1 
      * @no_qparam p2 
      **/
     public void resize(int p1, int p2) {}

     /** setBackground(Ljava/awt/Color;)V 
      * @qthis mutable
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void setBackground(java.awt.Color p1) {
        background = p1;
     }

     /** setBounds(IIII)V 
      * @qthis mutable 
      * @no_qreturn 
      * @no_qparam p1 
      * @no_qparam p2 
      * @no_qparam p3 
      * @no_qparam p4 
      **/
     public void setBounds(int p1, int p2, int p3, int p4) {}

     /** setComponentOrientation(Ljava/awt/ComponentOrientation;)V 
      * @qthis mutable
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void setComponentOrientation(java.awt.ComponentOrientation p1) {
        componentOrientation = p1;
     }

     /** setCursor(Ljava/awt/Cursor;)V 
      * @qthis mutable
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void setCursor(java.awt.Cursor p1) {
        cursor = p1;
     }

     /** setFont(Ljava/awt/Font;)V 
      * @qthis mutable
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void setFont(java.awt.Font p1) {
        font = p1;
     }

     /** setForeground(Ljava/awt/Color;)V 
      * @qthis mutable
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void setForeground(java.awt.Color p1) {
        foreground = p1;
     }

     /** setLocation(Ljava/awt/Point;)V 
      * @qthis mutable
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void setLocation(java.awt.Point p1) {
        location = p1;
     }

     /** setName(Ljava/lang/String;)V 
      * @qthis mutable
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void setName(java.lang.String p1) {
        name = p1;
     }

     /** setSize(II)V 
      * @no_qthis 
      * @no_qreturn 
      * @no_qparam p1 
      * @no_qparam p2 
      **/
     public void setSize(int p1, int p2) {
    	 size = null;
     }

     /** setSize(Ljava/awt/Dimension;)V 
      * @qthis mutable
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void setSize(java.awt.Dimension p1) {
        size = p1;
     }

     /** setVisible(Z)V 
      * @qthis mutable
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void setVisible(boolean p1) {
        visible = p1;
     }

     /** show()V 
      * @qthis mutable 
      * @no_qreturn 
      **/
     public void show() {
    	 visible = true;
     }

     /** size()Ljava/awt/Dimension; 
      * @no_qreturn 
      **/
     public java.awt.Dimension size() {
       return size;
     }

     /** toString()Ljava/lang/String; 
      * @no_qreturn 
      **/
     public java.lang.String toString() {
       return null;
     }

     /** transferFocus()V 
      * @no_qreturn 
      **/
     public void transferFocus() {}

     /** validate()V 
      * @no_qreturn 
      **/
     public void validate() {}

}
