package java.sql;
public interface Statement {

      int SUCCESS_NO_INFO = 0;
      int RETURN_GENERATED_KEYS = 0;
      int NO_GENERATED_KEYS = 0;
      int KEEP_CURRENT_RESULT = 0;
      int EXECUTE_FAILED = 0;
      int CLOSE_CURRENT_RESULT = 0;
      int CLOSE_ALL_RESULTS = 0;

     /** close()V 
      **/
     public void close() ;

     /** execute(Ljava/lang/String;)Z
      **/
     public boolean execute(java.lang.String p1) ;
     /** executeQuery(Ljava/lang/String;)Ljava/sql/ResultSet;
      **/
     public java.sql.ResultSet executeQuery(java.lang.String p1) ;

     /** getConnection()Ljava/sql/Connection; 
      **/
     public java.sql.Connection getConnection();
     /** getResultSetConcurrency()I 
      **/
     public int getResultSetConcurrency() ;
     
     /** getResultSetType()I
      **/
     public int getResultSetType() ;
}
