package javax.swing;

import java.awt.event.ActionListener;

public class AbstractButton {

      int verticalTextPosition;
      int verticalAlignment;
      java.lang.String text;
      javax.swing.Icon selectedIcon;
      javax.swing.Icon rolloverSelectedIcon;
      javax.swing.Icon rolloverIcon;
      boolean rolloverEnabled;
      javax.swing.Icon pressedIcon;
      boolean paintFocus;
      boolean paintBorder;
      long multiClickThreshhold;
      javax.swing.ButtonModel model;
      int mnemonicIndex;
      int mnemonic;
      java.awt.Insets margin;
      java.awt.event.ItemListener itemListener;
      int iconTextGap;
      int horizontalTextPosition;
      int horizontalAlignment;
      javax.swing.Icon disabledSelectedIcon;
      javax.swing.Icon disabledIcon;
      java.awt.Insets defaultMargin;
      javax.swing.Icon defaultIcon;
      boolean contentAreaFilled;
      java.lang.Class class$javax$swing$event$ChangeListener;
      java.lang.Class class$java$awt$event$ItemListener;
      java.lang.Class class$java$awt$event$ActionListener;
      javax.swing.event.ChangeListener changeListener;
      javax.swing.event.ChangeEvent changeEvent;
      java.beans.PropertyChangeListener actionPropertyChangeListener;
      java.awt.event.ActionListener actionListener;
      javax.swing.Action action;
      javax.accessibility.AccessibleIcon accessibleIcon;
      java.lang.String VERTICAL_TEXT_POSITION_CHANGED_PROPERTY;
      java.lang.String VERTICAL_ALIGNMENT_CHANGED_PROPERTY;
      java.lang.String TEXT_CHANGED_PROPERTY;
      java.lang.String SELECTED_ICON_CHANGED_PROPERTY;
      java.lang.String ROLLOVER_SELECTED_ICON_CHANGED_PROPERTY;
      java.lang.String ROLLOVER_ICON_CHANGED_PROPERTY;
      java.lang.String ROLLOVER_ENABLED_CHANGED_PROPERTY;
      java.lang.String PRESSED_ICON_CHANGED_PROPERTY;
      java.lang.String MODEL_CHANGED_PROPERTY;
      java.lang.String MNEMONIC_CHANGED_PROPERTY;
      java.lang.String MARGIN_CHANGED_PROPERTY;
      java.lang.String ICON_CHANGED_PROPERTY;
      java.lang.String HORIZONTAL_TEXT_POSITION_CHANGED_PROPERTY;
      java.lang.String HORIZONTAL_ALIGNMENT_CHANGED_PROPERTY;
      java.lang.String FOCUS_PAINTED_CHANGED_PROPERTY;
      java.lang.String DISABLED_SELECTED_ICON_CHANGED_PROPERTY;
      java.lang.String DISABLED_ICON_CHANGED_PROPERTY;
      java.lang.String CONTENT_AREA_FILLED_CHANGED_PROPERTY;
      java.lang.String BORDER_PAINTED_CHANGED_PROPERTY;
     boolean selected;
     char c_mnemonic;
     javax.swing.Icon icon;
     boolean focusPainted;
     boolean enabled;
     boolean borderPainted;
     java.lang.String actionCommand;
     java.util.AbstractSet actionListeners;
     /** addActionListener(Ljava/awt/event/ActionListener;)V 
      * @qthis mutable 
      * @no_qreturn 
      * @no_qparam p1 
      * 
      **/
     public void addActionListener(java.awt.event.ActionListener p1) {
    	 actionListeners.add(p1);
     }

     /** getModel()Ljavax/swing/ButtonModel; 
      * @no_qreturn 
      
      **/
     public javax.swing.ButtonModel getModel() {
        return model;
     }

     /** getText()Ljava/lang/String; 
      * @no_qreturn 
      
      **/
     public java.lang.String getText() {
        return text;
     }

     /** isSelected()Z 
      * @no_qreturn 
      
      **/
     public boolean isSelected() {
       return false;
     }

     /** removeActionListener(Ljava/awt/event/ActionListener;)V 
      * @qthis mutable 
      * @no_qreturn 
      * @no_qparam p1 
      
      **/
     public void removeActionListener(java.awt.event.ActionListener p1) {
    	 actionListeners.remove(p1);
     }

     /** setActionCommand(Ljava/lang/String;)V 
      * @qthis mutable
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void setActionCommand(java.lang.String p1) {
        actionCommand = p1;
     }

     /** setBorderPainted(Z)V 
      * @qthis mutable
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void setBorderPainted(boolean p1) {
        borderPainted = p1;
     }

     /** setEnabled(Z)V 
      * @qthis mutable
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void setEnabled(boolean p1) {
        enabled = p1;
     }

     /** setFocusPainted(Z)V 
      * @qthis mutable
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void setFocusPainted(boolean p1) {
        focusPainted = p1;
     }

     /** setHorizontalAlignment(I)V 
      * @qthis mutable
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void setHorizontalAlignment(int p1) {
        horizontalAlignment = p1;
     }

     /** setHorizontalTextPosition(I)V 
      * @qthis mutable
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void setHorizontalTextPosition(int p1) {
        horizontalTextPosition = p1;
     }

     /** setIcon(Ljavax/swing/Icon;)V 
      * @qthis mutable
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void setIcon(javax.swing.Icon p1) {
        icon = p1;
     }

     /** setMargin(Ljava/awt/Insets;)V 
      * @qthis mutable
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void setMargin(java.awt.Insets p1) {
        margin = p1;
     }

     /** setMnemonic(C)V 
      * @qthis mutable
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void setMnemonic(char p1) {
        mnemonic = p1;
     }

     /** setMnemonic(I)V 
      * @qthis mutable
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void setMnemonic(int p1) {
        mnemonic = p1;
     }

     /** setPressedIcon(Ljavax/swing/Icon;)V 
      * @qthis mutable
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void setPressedIcon(javax.swing.Icon p1) {
        pressedIcon = p1;
     }

     /** setSelected(Z)V 
      * @qthis mutable
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void setSelected(boolean p1) {
        selected = p1;
     }

     /** setText(Ljava/lang/String;)V 
      * @qthis mutable
      * @no_qreturn 
      * @no_qparam p1 
      **/
     public void setText(java.lang.String p1) {
        text = p1;
     }

}
