package java.sql;
public interface ResultSet {

      int TYPE_SCROLL_SENSITIVE = 0;
      int TYPE_SCROLL_INSENSITIVE = 0;
      int TYPE_FORWARD_ONLY = 0;
      int HOLD_CURSORS_OVER_COMMIT = 0;
      int FETCH_UNKNOWN = 0;
      int FETCH_REVERSE = 0;
      int FETCH_FORWARD = 0;
      int CONCUR_UPDATABLE = 0;
      int CONCUR_READ_ONLY = 0;
      int CLOSE_CURSORS_AT_COMMIT = 0;


     /** getBoolean(I)Z **/ 
     public boolean getBoolean(int p1);

     /** getByte(I)B 
      **/
     public byte getByte(int p1);

     /** getDouble(I)D 
      **/
     public double getDouble(int p1) ;

     /** getInt(I)I 
      **/
     public int getInt(int p1) ;

     /** getMetaData()Ljava/sql/ResultSetMetaData;
      **/
     public java.sql.ResultSetMetaData getMetaData();

     /** getObject(I)Ljava/lang/Object; 
      **/
     public java.lang.Object getObject(int p1) ;

     /** getShort(I)S 
      **/
     public short getShort(int p1) ;

     /** getStatement()Ljava/sql/Statement;
      **/
     public java.sql.Statement getStatement();

     /** getString(I)Ljava/lang/String; 
      **/
     public java.lang.String getString(int p1) ;

     /** getTimestamp(I)Ljava/sql/Timestamp; 
      **/
     public java.sql.Timestamp getTimestamp(int p1) ;

     /** next()Z 
      **/
     public boolean next() ;

     /** updateBoolean(IZ)V 
      **/
     public void updateBoolean(int p1, boolean p2);

     /** updateInt(II)V 
      **/
     public void updateInt(int p1, int p2) ;

     /** updateShort(IS)V 
      **/
     public void updateShort(int p1, short p2) ;

     /** updateString(ILjava/lang/String;)V 
      **/
     public void updateString(int p1, java.lang.String p2) ;

     /** close()V 
      * @no_qthis 
      * @no_qreturn 
      * TODO: auto-stub
      **/
     public void close();

}
