																																	

/** 
 *  Examples of the use of the readonly qualifier
 *  "perform readonly analysis" must be enabled in the JQual preferences
 */
public class ReadonlyExample {
	
	static class C {
		int f;
		
		//writes through this
	    void setF() {
	    	this.f = 17;
	    }

	}

    void readonlyExample() {
    	/** @valqual readonly **/ C roC1 = new C();
    	/** @valqual readonly **/ C roC2 = new C();

    	roC1.f = 17;   //error - writing through readonly reference
    	roC2.setF();   //error - invoking method on readonly reference that write through target
    }

    void finalExample() {
    	/** @qual readonly **/ int x;  //x is "final"
    	int y = 17;
    	int z;
    	x = 17;      //error assigning to final
    	z = y;       //z is inferred non-final, y is inferred final
    }
    
}
